LiVES 2.4.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Macros | Enumerations
liblives.hpp File Reference

Go to the source code of this file.

## Macros
#define | LIVES_VERSION_MAJOR 2
#define | LIVES_VERSION_MINOR 4
#define | LIVES_VERSION_MICRO 6
#define | LIVES_CHECK_VERSION(major, minor, micro) (major > LIVES_VERSION_MAJOR || (major == LIVES_VERSION_MAJOR && (minor > LIVES_VERSION_MINOR || (minor == LIVES_VERSION_MINOR && micro >= LIVES_VERSION_MICRO))))
#define | LIVES_CHAR_ENCODING_DEFAULT LIVES_CHAR_ENCODING_UTF8

## Enumerations
enum | lives_filechooser_t { LIVES_FILE_CHOOSER_VIDEO_AUDIO, LIVES_FILE_CHOOSER_AUDIO_ONLY }
enum | lives_interface_mode_t { LIVES_INTERFACE_MODE_INVALID =-1, LIVES_INTERFACE_MODE_CLIPEDIT, LIVES_INTERFACE_MODE_MULTITRACK }
enum | lives_status_t { LIVES_STATUS_INVALID =-1, LIVES_STATUS_NOTREADY, LIVES_STATUS_READY, LIVES_STATUS_PLAYING, LIVES_STATUS_PROCESSING, LIVES_STATUS_PREVIEW }
enum | lives_endian_t { LIVES_LITTLEENDIAN, LIVES_BIGENDIAN }
enum | lives_callback_t { LIVES_CALLBACK_FRAME_SYNCH = 1, LIVES_CALLBACK_PLAYBACK_STARTED = 2, LIVES_CALLBACK_PLAYBACK_STOPPED = 3, LIVES_CALLBACK_PLAYBACK_STOPPED_RD = 4, LIVES_CALLBACK_RECORD_STARTED = 32, LIVES_CALLBACK_RECORD_STOPPED = 33, LIVES_CALLBACK_APP_QUIT = 64, LIVES_CALLBACK_CLIP_OPENED = 128, LIVES_CALLBACK_CLIP_CLOSED = 129, LIVES_CALLBACK_CLIPSET_OPENED = 256, LIVES_CALLBACK_CLIPSET_SAVED = 257, LIVES_CALLBACK_MODE_CHANGED = 4096, LIVES_CALLBACK_OBJECT_DESTROYED = 16384, LIVES_CALLBACK_PRIVATE = 32768 }
enum | lives_char_encoding_t { LIVES_CHAR_ENCODING_UTF8, LIVES_CHAR_ENCODING_LOCAL8BIT, LIVES_CHAR_ENCODING_FILESYSTEM }
enum | lives_dialog_response_t { LIVES_DIALOG_RESPONSE_INVALID =-1, LIVES_DIALOG_RESPONSE_NONE =0, LIVES_DIALOG_RESPONSE_OK, LIVES_DIALOG_RESPONSE_RETRY, LIVES_DIALOG_RESPONSE_ABORT, LIVES_DIALOG_RESPONSE_RESET, LIVES_DIALOG_RESPONSE_SHOW_DETAILS, LIVES_DIALOG_RESPONSE_CANCEL, LIVES_DIALOG_RESPONSE_ACCEPT, LIVES_DIALOG_RESPONSE_YES, LIVES_DIALOG_RESPONSE_NO }
enum | lives_audio_source_t { LIVES_AUDIO_SOURCE_UNKNOWN, LIVES_AUDIO_SOURCE_INTERNAL, LIVES_AUDIO_SOURCE_EXTERNAL }
enum | lives_audio_player_t { LIVES_AUDIO_PLAYER_UNKNOWN, LIVES_AUDIO_PLAYER_PULSE, LIVES_AUDIO_PLAYER_JACK, LIVES_AUDIO_PLAYER_SOX, LIVES_AUDIO_PLAYER_MPLAYER, LIVES_AUDIO_PLAYER_MPLAYER2 }
enum | lives_insert_mode_t { LIVES_INSERT_MODE_NORMAL }
enum | lives_gravity_t { LIVES_GRAVITY_NORMAL, LIVES_GRAVITY_LEFT, LIVES_GRAVITY_RIGHT }
enum | lives_loop_mode_t { LIVES_LOOP_MODE_NONE =0, LIVES_LOOP_MODE_CONTINUOUS =1, LIVES_LOOP_MODE_FIT_AUDIO =2 }

## Detailed Description

Header file for liblives.

## Macro Definition Documentation

#define LIVES_CHAR_ENCODING_DEFAULT LIVES_CHAR_ENCODING_UTF8

Default character encoding

#define LIVES_CHECK_VERSION | ( |  | major,
|  |  | minor,
|  |  | micro
| ) |  | (major > LIVES_VERSION_MAJOR || (major == LIVES_VERSION_MAJOR && (minor > LIVES_VERSION_MINOR || (minor == LIVES_VERSION_MINOR && micro >= LIVES_VERSION_MICRO))))

Macro to check if livesApp version is >= major.minor.micro

#define LIVES_VERSION_MAJOR 2

Version number major

#define LIVES_VERSION_MICRO 6

Version number micro

#define LIVES_VERSION_MINOR 4

Version number minor

## Enumeration Type Documentation

enum lives_audio_player_t

Audio players

Enumerator
LIVES_AUDIO_PLAYER_UNKNOWN | Unknown / invalid.
LIVES_AUDIO_PLAYER_PULSE | Audio playback is through PulseAudio.
LIVES_AUDIO_PLAYER_JACK | Audio playback is thorugh Jack.
LIVES_AUDIO_PLAYER_SOX | Audio playback is through Sox.
LIVES_AUDIO_PLAYER_MPLAYER | Audio playback is through mplayer.
LIVES_AUDIO_PLAYER_MPLAYER2 | Audio playback is through mplayer2.

enum lives_audio_source_t

Audio sources

Enumerator
LIVES_AUDIO_SOURCE_UNKNOWN | Unknown / invalid.
LIVES_AUDIO_SOURCE_INTERNAL | Audio source is internal to LiVES.
LIVES_AUDIO_SOURCE_EXTERNAL | Audio source is external to LiVES.

enum lives_callback_t

Callback types

Enumerator
LIVES_CALLBACK_FRAME_SYNCH | sent when a frame is displayed
LIVES_CALLBACK_PLAYBACK_STARTED | sent when a/v playback starts or clip is switched
LIVES_CALLBACK_PLAYBACK_STOPPED | sent when a/v playback ends
LIVES_CALLBACK_PLAYBACK_STOPPED_RD | sent when a/v playback ends and there is recorded data for rendering/previewing
LIVES_CALLBACK_RECORD_STARTED | sent when record starts (TODO)
LIVES_CALLBACK_RECORD_STOPPED | sent when record stops (TODO)
LIVES_CALLBACK_APP_QUIT | sent when app quits
LIVES_CALLBACK_CLIP_OPENED | sent after a clip is opened
LIVES_CALLBACK_CLIP_CLOSED | sent after a clip is closed
LIVES_CALLBACK_CLIPSET_OPENED | sent after a clip set is opened
LIVES_CALLBACK_CLIPSET_SAVED | sent after a clip set is closed
LIVES_CALLBACK_MODE_CHANGED | sent when interface mode changes
LIVES_CALLBACK_OBJECT_DESTROYED | sent when livesApp object is deleted
LIVES_CALLBACK_PRIVATE | for internal use

enum lives_char_encoding_t

Character encoding types

Enumerator
LIVES_CHAR_ENCODING_UTF8 | UTF-8 char encoding.
LIVES_CHAR_ENCODING_LOCAL8BIT | 8 bit locale file encoding
LIVES_CHAR_ENCODING_FILESYSTEM | file system encoding (UTF-8 on windows, local8bit on others)

enum lives_dialog_response_t

Dialog response values

Enumerator
LIVES_DIALOG_RESPONSE_INVALID | INVALID response.
LIVES_DIALOG_RESPONSE_NONE | Response not obtained.
LIVES_DIALOG_RESPONSE_OK | OK button clicked.
LIVES_DIALOG_RESPONSE_RETRY | Retry button clicked.
LIVES_DIALOG_RESPONSE_ABORT | Abort button clicked.
LIVES_DIALOG_RESPONSE_RESET | Reset button clicked.
LIVES_DIALOG_RESPONSE_SHOW_DETAILS | Show details button clicked.
LIVES_DIALOG_RESPONSE_CANCEL | Cancel button clicked.
LIVES_DIALOG_RESPONSE_ACCEPT | Accept button clicked.
LIVES_DIALOG_RESPONSE_YES | Yes button clicked.
LIVES_DIALOG_RESPONSE_NO | No button clicked.

enum lives_endian_t

Endian values

Enumerator
LIVES_LITTLEENDIAN |
LIVES_BIGENDIAN |

enum lives_filechooser_t

Filechooser hinting types

Enumerator
LIVES_FILE_CHOOSER_VIDEO_AUDIO | file chooser options for single video or audio file
LIVES_FILE_CHOOSER_AUDIO_ONLY | file chooser options for single audio file

enum lives_gravity_t

Multitrack gravity

Enumerator
LIVES_GRAVITY_NORMAL | no gravity
LIVES_GRAVITY_LEFT | inserted blocks gravitate to the left
LIVES_GRAVITY_RIGHT | inserted blocks gravitate to the right

enum lives_insert_mode_t

Multitrack insert modes

Enumerator
LIVES_INSERT_MODE_NORMAL |

enum lives_interface_mode_t

LiVES operation mode

Enumerator
LIVES_INTERFACE_MODE_INVALID | livesApp instance is invalid
LIVES_INTERFACE_MODE_CLIPEDIT | clip editor mode
LIVES_INTERFACE_MODE_MULTITRACK | multitrack mode

enum lives_loop_mode_t

Player looping modes (bitmap)

Enumerator
LIVES_LOOP_MODE_NONE | no looping
LIVES_LOOP_MODE_CONTINUOUS | both video and audio loop continuously
LIVES_LOOP_MODE_FIT_AUDIO | video keeps looping until audio playback finishes

enum lives_status_t

LiVES operational status

Enumerator
LIVES_STATUS_INVALID | livesApp instance is invalid
LIVES_STATUS_NOTREADY | application is starting up; not ready
LIVES_STATUS_READY | application is ready for commands
LIVES_STATUS_PLAYING | application is playing, only player commands will be responded to
LIVES_STATUS_PROCESSING | application is processing, commands will be ignored
LIVES_STATUS_PREVIEW | user is previewing an operation, commands will be ignored